import request from '@/utils/request'

// 查询仓库费用明细列表
export function listWarehousebillsfees(query) {
  return request({
    url: '/warehouseBusiness/warehousebillsfees/list',
    method: 'get',
    params: query
  })
}

// 查询仓库费用明细详细
export function getWarehousebillsfees(fId) {
  return request({
    url: '/warehouseBusiness/warehousebillsfees/' + fId,
    method: 'get'
  })
}

// 新增仓库费用明细
export function addWarehousebillsfees(data) {
  return request({
    url: '/warehouseBusiness/warehousebillsfees',
    method: 'post',
    data: data
  })
}

// 修改仓库费用明细
export function updateWarehousebillsfees(data) {
  return request({
    url: '/warehouseBusiness/warehousebillsfees',
    method: 'put',
    data: data
  })
}

// 删除仓库费用明细
export function delWarehousebillsfees(fId) {
  return request({
    url: '/warehouseBusiness/warehousebillsfees/' + fId,
    method: 'delete'
  })
}

// 导出仓库费用明细
export function exportWarehousebillsfees(query) {
  return request({
    url: '/warehouseBusiness/warehousebillsfees/export',
    method: 'get',
    params: query
  })
}